{% extends "layouts/base.njk" %}
{% import "components/jumbotron.njk" as jumbotron %}
{% import "components/text-picture.njk" as textPicture %}
{% import "components/cta.njk" as cta %}

{% block title %}Page Layouts | Whitelabel{% endblock %}

{% block main %}

  {{ jumbotron.element(title = 'Etiam risus varius', lead = 'Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. ', textAlign = 'text-center' ) }}

  <div class="container mt-5 mb-3">
    <div class="row">
      <div class="col-md-4">
        <img class="rounded-circle d-block mx-auto mb-2" src="data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==" alt="Generic placeholder image" width="140" height="140">
        {% call textPicture.textOnly({container: 'container-full', title: 'Donec sed odio dui', ctaUrl: '/', ctaText: 'Read more »', textAlign: 'text-center'}) %}
          <p>uspendisse lobortis mollis mi ut faucibus. Vestibulum vitae felis tincidunt, pretium dolor eget, laoreet dolor. </p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        <img class="rounded-circle d-block mx-auto mb-2" src="data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==" alt="Generic placeholder image" width="140" height="140">
        {% call textPicture.textOnly({container: 'container-full', title: 'Pellentesque pulvinar ', ctaUrl: '/', ctaText: 'Read more »', textAlign: 'text-center'}) %}
          <p>Suspendisse ultrices retium dolor eget nibh eu enim bibendum, ac retium dolor eget tincidunt ipsum varius.</p>
        {% endcall %}
      </div>
      <div class="col-md-4">
        <img class="rounded-circle d-block mx-auto mb-2" src="data:image/gif;base64,R0lGODlhAQABAIAAAHd3dwAAACH5BAAAAAAALAAAAAABAAEAAAICRAEAOw==" alt="Generic placeholder image" width="140" height="140">
        {% call textPicture.textOnly({container: 'container-full', title: 'Donec vel lorem', ctaUrl: '/', ctaText: 'Read more »', textAlign: 'text-center'}) %}
          <p>Nulla ultricies purus massa, a luctus velit elementum id. Aliquam efficitur, ex quis cursus condimentum, eros nisl feugiat nisl. </p>
        {% endcall %}
      </div>
    </div>
  </div>

  <div class="bg-light text-dark pt-5 pb-5 mb-5">
    {% call textPicture.textLeftPictureRight({title: 'Text Left Picture Right', picture_src: 'http://via.placeholder.com/300x300', ctaUrl: '/', ctaText: 'Read more »'}) %}
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris euismod tincidunt est ut efficitur. Pellentesque pulvinar metus ultricies sapien eleifend, eget pharetra odio posuere. Donec vel lorem.</p>
    {% endcall %}
  </div>

  {% call textPicture.textRightPictureLeft({title: 'Text Right Picture Left', picture_src: 'http://via.placeholder.com/300x300', ctaUrl: '/', ctaText: 'Read more »'}) %}
    <p>Integer consectetur magna ac ex ultricies, nec viverra felis ultrices. Nunc malesuada libero eget mauris pellentesque ornare. Vestibulum lacinia consectetur dignissim.</p>
  {% endcall %}

  <div class="bg-light text-dark pt-5 pb-5">
    {% call textPicture.textLeftPictureRight({title: 'Text Left Picture Right', picture_src: 'http://via.placeholder.com/300x300', ctaUrl: '/', ctaText: 'Read more »'}) %}
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris euismod tincidunt est ut efficitur. Pellentesque pulvinar metus ultricies sapien eleifend, eget pharetra odio posuere. Donec vel lorem.</p>
    {% endcall %}
  </div>


  {% call cta.element({title: 'CTA Title', ctaUrl: '/', ctaText: 'Sign Up Now'}) %}
    <p class="lead">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris euismod tincidunt est ut efficitur. Pellentesque pulvinar metus ultricies sapien eleifend, eget pharetra odio posuere. Donec vel lorem.</p>
  {% endcall %}


{% endblock %}

